> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revyops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Email Custom Field

> Removes a custom field from a specific email.



## OpenAPI

````yaml DELETE /public/emails/{email_id}/custom-fields/{field_id}
openapi: 3.0.3
info:
  title: RevyOps API
  version: 1.0.0
servers:
  - url: https://app.revyops.com/api
security:
  - ApiKeyAuth: []
paths:
  /public/emails/{email_id}/custom-fields/{field_id}:
    delete:
      tags:
        - public
      description: Removes a custom field from a specific email.
      operationId: Delete email custom field
      parameters:
        - in: path
          name: email_id
          schema:
            type: integer
          required: true
        - in: path
          name: field_id
          schema:
            type: integer
          required: true
      responses:
        '200':
          description: OK. The custom field was successfully deleted.
        '401':
          description: Unauthorized. Email does not belong to this client.
        '403':
          description: Forbidden. Missing authentication credentials or invalid API key.
        '404':
          description: >-
            Not Found. Email with this ID does not exist or the field does not
            belong to this email.
        '500':
          description: Internal Server Error. An unexpected error occurred on the server.
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````